Discover Government News


   openSUSE Security Update: Security update for curl
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2020:2249-1
Rating:             moderate
References:         #1179398 #1179399 #1179593 
Cross-References:   CVE-2020-8284 CVE-2020-8285 CVE-2020-8286
                   
Affected Products:
                    openSUSE Leap 15.1
______________________________________________________________________________

   An update that fixes three vulnerabilities is now available.

Description:

   This update for curl fixes the following issues:

   - CVE-2020-8286: Fixed improper OSCP verification in the client side
     (bsc#1179593).
   - CVE-2020-8285: Fixed a stack overflow due to FTP wildcard (bsc#1179399).
   - CVE-2020-8284: Fixed an issue where a malicius FTP server could make
     curl connect to a different IP (bsc#1179398).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.1:

      zypper in -t patch openSUSE-2020-2249=1



Package List:

   - openSUSE Leap 15.1 (i586 x86_64):

      curl-7.60.0-lp151.5.18.1
      curl-debuginfo-7.60.0-lp151.5.18.1
      curl-debugsource-7.60.0-lp151.5.18.1
      curl-mini-7.60.0-lp151.5.18.1
      curl-mini-debuginfo-7.60.0-lp151.5.18.1
      curl-mini-debugsource-7.60.0-lp151.5.18.1
      libcurl-devel-7.60.0-lp151.5.18.1
      libcurl-mini-devel-7.60.0-lp151.5.18.1
      libcurl4-7.60.0-lp151.5.18.1
      libcurl4-debuginfo-7.60.0-lp151.5.18.1
      libcurl4-mini-7.60.0-lp151.5.18.1
      libcurl4-mini-debuginfo-7.60.0-lp151.5.18.1

   - openSUSE Leap 15.1 (x86_64):

      libcurl-devel-32bit-7.60.0-lp151.5.18.1
      libcurl4-32bit-7.60.0-lp151.5.18.1
      libcurl4-32bit-debuginfo-7.60.0-lp151.5.18.1


References:

   https://www.suse.com/security/cve/CVE-2020-8284.html
   https://www.suse.com/security/cve/CVE-2020-8285.html
   https://www.suse.com/security/cve/CVE-2020-8286.html
   https://bugzilla.suse.com/1179398
   https://bugzilla.suse.com/1179399
   https://bugzilla.suse.com/1179593
_______________________________________________
openSUSE Security Announce mailing list -- security-announce@lists.opensuse.org
To unsubscribe, email security-announce-leave@lists.opensuse.org
List Netiquette: https://en.opensuse.org/openSUSE:Mailing_list_netiquette
List Archives: https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/

openSUSE: 2020:2249-1 moderate: curl

December 14, 2020
An update that fixes three vulnerabilities is now available

Description

This update for curl fixes the following issues: - CVE-2020-8286: Fixed improper OSCP verification in the client side (bsc#1179593). - CVE-2020-8285: Fixed a stack overflow due to FTP wildcard (bsc#1179399). - CVE-2020-8284: Fixed an issue where a malicius FTP server could make curl connect to a different IP (bsc#1179398). This update was imported from the SUSE:SLE-15:Update update project.

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.1: zypper in -t patch openSUSE-2020-2249=1


Package List

- openSUSE Leap 15.1 (i586 x86_64): curl-7.60.0-lp151.5.18.1 curl-debuginfo-7.60.0-lp151.5.18.1 curl-debugsource-7.60.0-lp151.5.18.1 curl-mini-7.60.0-lp151.5.18.1 curl-mini-debuginfo-7.60.0-lp151.5.18.1 curl-mini-debugsource-7.60.0-lp151.5.18.1 libcurl-devel-7.60.0-lp151.5.18.1 libcurl-mini-devel-7.60.0-lp151.5.18.1 libcurl4-7.60.0-lp151.5.18.1 libcurl4-debuginfo-7.60.0-lp151.5.18.1 libcurl4-mini-7.60.0-lp151.5.18.1 libcurl4-mini-debuginfo-7.60.0-lp151.5.18.1 - openSUSE Leap 15.1 (x86_64): libcurl-devel-32bit-7.60.0-lp151.5.18.1 libcurl4-32bit-7.60.0-lp151.5.18.1 libcurl4-32bit-debuginfo-7.60.0-lp151.5.18.1


References

https://www.suse.com/security/cve/CVE-2020-8284.html https://www.suse.com/security/cve/CVE-2020-8285.html https://www.suse.com/security/cve/CVE-2020-8286.html https://bugzilla.suse.com/1179398 https://bugzilla.suse.com/1179399 https://bugzilla.suse.com/1179593openSUSE Security Announce mailing list -- security-announce@lists.opensuse.orgTo unsubscribe, email security-announce-leave@lists.opensuse.orgList Netiquette: https://en.opensuse.org/openSUSE:Mailing_list_netiquetteList Archives: https://lists.opensuse.org/archives/list/security-announce@lists.opensuse.org/


Severity
Announcement ID: openSUSE-SU-2020:2249-1
Rating: moderate
Affected Products: openSUSE Leap 15.1 .

Related News